// file: dec_seg_0.cc
//
 
// isip include files
//
#include "decoder.h"
#include "decoder_constants.h"

// method: is_curframe_mendpt_cc()
//
// arguments: none
//  
// return: a logical_1 indicating status
//
// this method checks if the frame (time) is same as any one of the
// model-level endpoints (segmental information from the alignments)
//
logical_1 Decoder::is_curframe_mendpt_cc() {

  // loop over all the endpoints at the model-level
  //
  for (Link_node* nmseg = model_seglist_d->get_head_cc();
       nmseg != (Link_node*)NULL;
       nmseg = nmseg->get_next_cc()) {
    
    // if the current frame matches any of the
    // alignments, return true
    //
    if (*((int_4*)nmseg->get_item_cc()) == frame_d) {
      return ISIP_TRUE;            
    } // end if current frame matches any of the align's    
  } // end if loop over all the endpoints
  
  // if here, the current frame is not contained in the endpoint list
  //
  return ISIP_FALSE;
}
